Deployments.ai Docs
Security

Exchange device authorization

POST /v1/device-authorizations/token · SDK exchangeDeviceAuthorization · CLI deployments auth login

POST
/v1/device-authorizations/token

Request Body

application/json
  1. body
deviceCode?string
refreshToken?string

Response Body

DeviceTokenResponse

application/json
  1. response
bearerToken*string
expiresIn*number|||
refreshToken?string
tokenType*"Bearer"
Value in"Bearer"
curl -X POST "https://example.com/v1/device-authorizations/token" \  -H "Content-Type: application/json" \  -d '{}'
{  "bearerToken": "string",  "expiresIn": 0,  "refreshToken": "string",  "tokenType": "Bearer"}